[Rainmeter]
Author=smurfier
AppVersion=1001000
Update=1000
BackgroundMode=2
SolidColor=0,0,0,1
MouseOverAction=!Execute [!ShowMeterGroup Controls][!Redraw]
MouseLeaveAction=!Execute [!HideMeterGroup Controls][!Redraw]

[Variables]
@include=Settings.inc
Month=0
Year=0
Day=0
Week=0
ThisWeek=0
NotCurrentMonth=0
LabelText=""
LastWkHidden=0

--------------------------------

[Background]
Meter=IMAGE
ImageName=LuaCalendar.Png
X=0
Y=0
ImageAlpha=100


[MeasureTime]
Measure=Time
Format=%H : %M : %S

[MeterTime]
MeasureName=MeasureTime
Meter=STRING
X=273
Y=5
FontFace=Micra
StringStyle=BOLD
FontColor=206,231,249,255
AntiAlias=1
ClipString=0
StringAlign=Center
FontSize=13


[MeterName]
Meter=STRING
X=200
Y=25
FontSize=12
StringStyle=BOLD
FontColor=206,231,249,255
AntiAlias=1
FontFace=Trebuchet MS
Text=Блокнот: 
LeftMouseUpAction=!execute ["#CURRENTPATH#Notes.txt"][!RainmeterShowMeter MeterName][!RainmeterHideMeter MeterNameActive][!RainmeterRedraw]

[Title]
Meter=STRING
X=200
Y=20
FontSize=8
FontFace=Trebuchet MS
StringStyle=BOLD
FontColor=206,231,249,255
AntiAlias=1
Text= 
LeftMouseDownAction=!execute [!RainmeterShowMeter TitleActive][!RainmeterHideMeter Title][!RainmeterRedraw]     

[MeasureNotes]
Measure=Plugin
Plugin=Plugins\QuotePlugin.dll
PathName=#CURRENTPATH#Notes.txt
Disabled=0
Separator=¶
#Subfolders=0
#FileFilter=*.txt

[Notes]
Meter=STRING
MeasureName=MeasureNotes
X=200
Y=45
W=145
H=#Height#
FontSize=8
FontFace=Trebuchet MS
StringStyle=BOLD
FontColor=206,231,249,255
AntiAlias=1
ClipString=1

---------------------------------
;Meter Styles =========================================
[TextStyle]
H=#C.h#
W=#C.w#
X=#Space.X#R
Y=r
FontColor=#Txt.Clr#
FontFace=#Txt.Fnt#
FontSize=#Txt.Sz#
stringAlign=center
AntiAlias=1

[NewWk]
Y=#Space.y#R
X=(#Bumper.x#+#C.w#/2)

[Lua]
Measure=Script
ScriptFile=CScript.lua
CurrentColor=#Txt.Clr#
CurrentHighlight=#Clr.Curr#
DayLabels=#W.Lbl.txt#
DayPrefix=l
DisableBuiltInEvents=#DBEvents#
HideLastWeek=#HLWeek#
HolidayColor=#Ent.Clr#
HolidayFile=#HOLS#
LabelText=#M.Lbl.fmt#
LeadingZeroes=#LZero#
MeterPrefix=mDay
MonthLabels=#M.Lbl.txt#
NextColor=#Clr.Aft#
PreviousColor=#Clr.Prv#
StartOnMonday=#SMon#
UseLocalMonths=#LMnths#
WeekdayHighlight=#W.Lbl.hlg#
WeekendColor=#Clr.Wkn#

[hHL]
Measure=Calc
Formula=(#Ind#=2)||(#Ind#=0)?1:#NotCurrentMonth#
DynamicVariables=1

[HLines]
Measure=Calc
Formula=(#Ind#=1)||(#Ind#=0)?1:#NotCurrentMonth#
DynamicVariables=1

[hLine]
Meter=Image
SolidColor=#Clr.HLine#
H=#C.h#
W=((#C.w#+#Space.x#)*6+#C.w#)
X=#Bumper.x#
Y=(#Bumper.top#+(#C.h#+#Space.y#)*(#ThisWeek#+1))
DynamicVariables=1
Hidden=[HLines]

[vLine1]
Meter=Image
SolidColor=#Clr.VLine#
W=#C.w#
H=((#C.h#+#Space.y#)*(#ThisWeek#-1)+#Space.y#)
Y=(#Bumper.top#+#C.h#*2+#Space.y#)
X=(#Bumper.x#+(#C.w#+#Space.x#)*#Week#)
DynamicVariables=1
Hidden=[HLines]

[vLine2]
Meter=Image
MeterStyle=vLine1
H=((#C.h#+#Space.y#)*(6-#LastWkHidden#-#ThisWeek#))
Y=#C.h#R
X=r

[TodayHL]
Meter=image
X=(#Bumper.x#+(#C.w#+#Space.x#)*#Week#+3)
Y=(#Bumper.top#+(#C.h#+#Space.y#)*(#ThisWeek#+1)+#C.h#-2)
H=2
W=(#C.w#-6)
SolidColor=#Clr.Hrl#
Hidden=[hHL]
DynamicVariables=1

[MonthLabel]
Meter=String
W=(#C.w#*7+#Space.x#*6)
X=((#C.w#*7+#Space.x#*6)/2+#Bumper.x#)
Y=#Bumper.top#
H=#C.h#
FontColor=#M.Lbl.Clr#
FontFace=#M.Lbl.Fnt#
FontSize=#M.Lbl.Sz#
stringAlign=center
AntiAlias=1

[ControlForward]
Meter=String
MeterStyle=TextStyle
FontFace=Webdings
StringAlign=Left
Text="4"
Y=r
X=((#C.w#*6+#Space.x#*6)+#Bumper.x#)
LeftMouseUpAction=!Execute [!CommandMeasure "Lua" "Forward()"][!Update]
Group=Controls
Hidden=1

[ControlBack]
Meter=String
MeterStyle=TextStyle
FontFace=Webdings
StringAlign=Left
Text="3"
Y=r
X=#Bumper.x#
LeftMouseUpAction=!Execute [!CommandMeasure "Lua" "Back()"][!Update]
Group=Controls
Hidden=1

[ControlHome]
Meter=String
MeterStyle=TextStyle
FontFace=Webdings
StringAlign=Left
Text="="
Y=r
X=R
LeftMouseUpAction=!Execute [!CommandMeasure "Lua" "Home()"][!Update]
Group=Controls
Hidden=1

;Day Label BG===============================================
[LblBgSty]
X=#Space.X#R
Y=r
H=#C.h#
W=#C.W#
SolidColor=#W.Lbl.Bg#

[lSunBG]
Meter=image
MeterStyle=LblBgSty
X=#Bumper.x#
Y=(#Bumper.top#+#C.h#+#Space.y#)

[lMonBG]
Meter=image
MeterStyle=LblBgSty

[lTuesBG]
Meter=image
MeterStyle=LblBgSty

[lWedBG]
Meter=image
MeterStyle=LblBgSty

[lThurBG]
Meter=image
MeterStyle=LblBgSty

[lFriBG]
Meter=image
MeterStyle=LblBgSty

[lSatBG]
Meter=image
MeterStyle=LblBgSty

;Day Labels-------------------------------------------------
[LblTxtSty]
H=#C.h#
W=#C.w#
X=#Space.X#R
Y=r
FontFace=#W.Lbl.Fnt#
FontColor=#W.Lbl.Clr#
FontSize=#W.Lbl.Sz#
stringAlign=center
AntiAlias=1

[l1]
Meter=string
MeterStyle=LblTxtSty
X=(#Bumper.x#+#C.w#/2)
Y=2r

[l2]
Meter=string
MeterStyle=LblTxtSty

[l3]
Meter=string
MeterStyle=LblTxtSty

[l4]
Meter=string
MeterStyle=LblTxtSty

[l5]
Meter=string
MeterStyle=LblTxtSty

[l6]
Meter=string
MeterStyle=LblTxtSty

[l7]
Meter=string
MeterStyle=LblTxtSty

;Week 1 Begin----------------------------------------------
[mDay1]
Meter=string
MeterStyle=TextStyle | NewWk
Y=(#Space.y#/2)R

[mDay2]
Meter=string
MeterStyle=TextStyle

[mDay3]
Meter=string
MeterStyle=TextStyle

[mDay4]
Meter=string
MeterStyle=TextStyle

[mDay5]
Meter=string
MeterStyle=TextStyle

[mDay6]
Meter=string
MeterStyle=TextStyle

[mDay7]
Meter=string
MeterStyle=TextStyle

;Week 2 Begin----------------------------------------------
[mDay8]
Meter=string
MeterStyle=TextStyle | NewWk

[mDay9]
Meter=string
MeterStyle=TextStyle

[mDay10]
Meter=string
MeterStyle=TextStyle

[mDay11]
Meter=string
MeterStyle=TextStyle

[mDay12]
Meter=string
MeterStyle=TextStyle

[mDay13]
Meter=string
MeterStyle=TextStyle

[mDay14]
Meter=string
MeterStyle=TextStyle

;Week 3 Begin----------------------------------------------
[mDay15]
Meter=string
MeterStyle=TextStyle | NewWk

[mDay16]
Meter=string
MeterStyle=TextStyle

[mDay17]
Meter=string
MeterStyle=TextStyle

[mDay18]
Meter=string
MeterStyle=TextStyle

[mDay19]
Meter=string
MeterStyle=TextStyle

[mDay20]
Meter=string
MeterStyle=TextStyle

[mDay21]
Meter=string
MeterStyle=TextStyle

;Week 4 Begin----------------------------------------------
[mDay22]
Meter=string
MeterStyle=TextStyle | NewWk

[mDay23]
Meter=string
MeterStyle=TextStyle

[mDay24]
Meter=string
MeterStyle=TextStyle

[mDay25]
Meter=string
MeterStyle=TextStyle

[mDay26]
Meter=string
MeterStyle=TextStyle

[mDay27]
Meter=string
MeterStyle=TextStyle

[mDay28]
Meter=string
MeterStyle=TextStyle

;Week 5 Begin----------------------------------------------
[mDay29]
Meter=string
MeterStyle=TextStyle | NewWk

[mDay30]
Meter=string
MeterStyle=TextStyle

[mDay31]
Meter=string
MeterStyle=TextStyle

[mDay32]
Meter=string
MeterStyle=TextStyle

[mDay33]
Meter=string
MeterStyle=TextStyle

[mDay34]
Meter=string
MeterStyle=TextStyle

[mDay35]
Meter=string
MeterStyle=TextStyle

;Week 6 Begin----------------------------------------------
[mDay36]
Meter=string
MeterStyle=TextStyle | NewWk

[mDay37]
Meter=string
MeterStyle=TextStyle

[mDay38]
Meter=string
MeterStyle=TextStyle

[mDay39]
Meter=string
MeterStyle=TextStyle

[mDay40]
Meter=string
MeterStyle=TextStyle

[mDay41]
Meter=string
MeterStyle=TextStyle

[mDay42]
Meter=string
MeterStyle=TextStyle
